Bug 822719 - Remove all unused and redundant SCSS, CSS and JS
Remove all unused and redundant SCSS, CSS and JS
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Jason E. Rist
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-05-17 17:59 EDT by Jason E. Rist
Modified: 2013-08-16 14:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-30 12:08:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason E. Rist 2012-05-17 17:59:01 EDT
Description of problem:
Lots of unused and redundant code and CSS directives that are potentially slowing down the system or causing unnecessary usage of bandwidth and cycles.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce: Look at any of the CSS and scan for unused or redundant directives.  Possible javascript profiling tool or code coverage tool necessary.
Actual results:

Expected results:

Additional info:
Comment 1 Mike McCune 2012-08-30 12:08:01 EDT
fixed in upstream
Comment 3 Mike McCune 2013-08-16 14:16:20 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.